<?php
require_once('./system/func.php'); //тут подключаем шапку
$title = 'Рейтинг рефералов';
require_once('./system/header.php');
auth(); // Закроем от гостей
$div = '</div>';

echo div('title') . $title;
echo $div;
$reward_first_place = 7000;
$reward_second_place = 5000;
$reward_third_place = 4000;
$reward_fourth_place = 2900;
$reward_fifth_place = 2100;
$reward_sixth_place = 1500;
$reward_seventh_place = 1000;
$reward_eighth_place = 600;
$reward_ninth_place = 300;
$reward_tenth_place = 100;
$type_reward = 'almaz';


switch (isset($_GET['action'])) {
    case 'rating':
        $q = mysql_query("SELECT * FROM `users` WHERE `contest` > '0' ORDER BY `contest` DESC LIMIT 10");

        echo div('block_c') . " Топ 10 рефералов  </a></div>";

        $i = 0;
        while ($post = mysql_fetch_assoc($q)) {
            $i ++;
            if ($i <= 10) {
                if ($myID == $post['id']) {
                    echo div('wrapper');
                } else {
                    echo div('wrapper');
                }
                echo $i . ".    <a href='/profile/$post[id]' data-ajax><font color='$post[color]'>$post[login]</font></a>,  $post[level] ур.<br>";
                echo 'Приглашено: ' . $post['contest'];
                echo "</div>";
            }
        }
        echo div('header');


        $u = mysql_query("SELECT `id`,`contest` FROM `users` ORDER BY `contest` DESC");
        $j = 0;
        while ($post = mysql_fetch_assoc($u)) {
            $j ++;
            if ($post['id'] == $myID) {
                if ($j > 1 && $post['contest'] == true) {
                    echo "<div class='header'><span class='lime'>Вы находитесь на <b>$j</b> месте в рейтинге!</span></div>";
                } else {
                   // echo "<div class='header'>Вы не участвуете в рейтинге</div>";
                }
            }
        }
        echo "</div>";
        break;
    default:
        echo div('header') . 'Награды ' . $div;
        echo div('wrapper center');
        echo '1 место - ' . $reward_first_place . ico('icons', '' . $type_reward . '.png') . ' <br>
2 место - ' . $reward_second_place . ico('icons', '' . $type_reward . '.png') . '<br>
3 место - ' . $reward_third_place . ico('icons', '' . $type_reward . '.png') . '<br>
4 место - ' . $reward_fourth_place . ico('icons', '' . $type_reward . '.png') . ' <br>
5 место - ' . $reward_fifth_place . ico('icons', '' . $type_reward . '.png') . '<br>
6 место - ' . $reward_sixth_place . ico('icons', '' . $type_reward . '.png') . '<br>
7 место - ' . $reward_seventh_place . ico('icons', '' . $type_reward . '.png') . '<br>
8 место - ' . $reward_eighth_place . ico('icons', '' . $type_reward . '.png') . '<br>
9 место - ' . $reward_ninth_place . ico('icons', '' . $type_reward . '.png') . ' <br>
10 место - ' . $reward_tenth_place . ico('icons', '' . $type_reward . '.png') . '<br>';
        echo $div;
        echo div('block_c') . 'Приглашайте друзей по своей реферальной ссылке и получайте награду.' . $div;
        echo div('block_c') . '1 раз в неделю система игры автоматически подводит итоги и выдает награду.' . $div;

        echo div('header').' <div class="btn_grey"><span class="cb_end"><span class="cb_ttl"><a href="/contest.php?action=rating">Топ 10 рефералов </div></span></span></a></div>';
        echo div('header') . ' <div class="btn_grey"><span class="cb_end"><span class="cb_ttl"><a href="/ref/">Пригласить друга </div></span></span></a></div>';


        $u = mysql_query("SELECT `id`, `contest` FROM `users` ORDER BY `contest` DESC");
        $j = 0;
        while ($post = mysql_fetch_assoc($u)) {
            $j ++;
            if ($post['id'] == $myID) {
                if ($j >= 1 && $post['contest'] == true) {
                    echo "<div class='header'><span class='lime'>Вы находитесь на <b>$j</b> месте в рейтинге!</span></div>";
                } else {
                    echo "<div class='header'>Вы не участвуете в рейтинге</div>";
                }
            }
        }
        break;
}
require_once('system/footer.php');